Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.picklist.util
Class PickListUtils

    java.lang.Object
      org.richfaces.picklist.util.PickListUtils

    public class PickListUtils

extends java.lang.Object

Field Summary
`static java.lang.Object` | `NOTHING`

Constructor Summary
`PickListUtils()`

Method Summary
`static int` | `calcCapacity(int size)`
`static javax.faces.convert.Converter` | `findUISelectManyConverter(javax.faces.context.FacesContext context, javax.faces.component.UISelectMany component)`
`static javax.faces.convert.Converter` | `findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, java.lang.Object value)`
`static java.util.Set` | `getSelectedValuesAsSet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.component.UISelectMany uiSelectMany)`
`static java.util.Set` | `getSubmittedOrSelectedValuesAsSet(boolean selectMany, javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext, javax.faces.convert.Converter converter)`
`static java.util.Set` | `getSubmittedValuesAsSet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.component.UISelectMany uiSelectMany)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTHING

    public static final java.lang.Object NOTHING

Constructor Detail

### PickListUtils

    public PickListUtils()

Method Detail

### findUISelectManyConverter

    public static javax.faces.convert.Converter findUISelectManyConverter(javax.faces.context.FacesContext context,
                                                                          javax.faces.component.UISelectMany component)

### findUISelectManyConverterFailsafe

    public static javax.faces.convert.Converter findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext,
                                                                                  javax.faces.component.UIComponent uiComponent)

### getSubmittedOrSelectedValuesAsSet

    public static java.util.Set getSubmittedOrSelectedValuesAsSet(boolean selectMany,
                                                                  javax.faces.component.UIComponent uiComponent,
                                                                  javax.faces.context.FacesContext facesContext,
                                                                  javax.faces.convert.Converter converter)

### getSubmittedValuesAsSet

    public static java.util.Set getSubmittedValuesAsSet(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component,
                                                        javax.faces.convert.Converter converter,
                                                        javax.faces.component.UISelectMany uiSelectMany)

### getSelectedValuesAsSet

    public static java.util.Set getSelectedValuesAsSet(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       javax.faces.convert.Converter converter,
                                                       javax.faces.component.UISelectMany uiSelectMany)

### calcCapacity

    public static final int calcCapacity(int size)

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           javax.faces.convert.Converter converter,
                                                           java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.